From 24578d9af68334cb9cae228954d150d6de8ed77f Mon Sep 17 00:00:00 2001
From: Teemu Ikonen <tpikonen@mailbox.org>
Date: Fri, 26 Aug 2022 21:17:52 +0300
Subject: [PATCH 1/2] Use system boost

---
 CMakeLists.txt | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 9c432caeb..ce1a79527 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -985,7 +985,7 @@ target_include_directories(
     PUBLIC ${PROJECT_SOURCE_DIR}/include
 )
 
-include(${PROJECT_SOURCE_DIR}/vendor/boost.cmake)
+#include(${PROJECT_SOURCE_DIR}/vendor/boost.cmake)
 include(${PROJECT_SOURCE_DIR}/vendor/csscolorparser.cmake)
 include(${PROJECT_SOURCE_DIR}/vendor/earcut.hpp.cmake)
 include(${PROJECT_SOURCE_DIR}/vendor/eternal.cmake)
@@ -1006,7 +1006,7 @@ target_link_libraries(
         Mapbox::Base::geojson-vt-cpp
         Mapbox::Base::cheap-ruler-cpp
         mbgl-compiler-options
-        mbgl-vendor-boost
+#        mbgl-vendor-boost
         mbgl-vendor-csscolorparser
         mbgl-vendor-earcut.hpp
         mbgl-vendor-eternal
@@ -1044,7 +1044,7 @@ export(TARGETS
     mapbox-base-supercluster.hpp
     mapbox-base-variant
     mbgl-compiler-options
-    mbgl-vendor-boost
+#    mbgl-vendor-boost
     mbgl-vendor-csscolorparser
     mbgl-vendor-earcut.hpp
     mbgl-vendor-eternal
-- 
2.35.1

